<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
IEdmReference5 Interface Members
See Also Properties Methods

Collapse All Expand All

EPDM.Interop.epdm Namespace : IEdmReference5 Interface

The following tables list the members exposed by IEdmReference5.

# Public Properties

| Name | Description
--- | --- | ---
| File | Gets the file.
| FileID | Gets the ID of the file.
| Folder | Gets the file's parent folder.
| FolderID | Gets the ID of the file's parent folder.
| FoundPath | Gets the file system path where the file was found.
| IsLocked | Gets whether the file is checked out.
| LockedByUser | Gets the the user who checked out the file.
| LockedInFolder | Gets the folder in which the file is checked out.
| LockedOnComputer | Gets the name of the computer on which the file is checked out.
| LockPath | Gets the file's check-out path.
| Name | Gets the name of the file.
| ReferencedAs | Gets how the file is included by the referencing file.
| VersionLocal | Gets the local version number of the file.
| VersionRef | Gets the referenced version number of the file.

Top

# Public Methods

| Name | Description
--- | --- | ---
| GetCustomData | Gets data stored with IEdmReference5::SetCustomData in this file reference.
| GetFirstChildPosition | Obsolete. Superseded by IEdmReference7::GetFirstChildPosition2.
| GetFirstParentPosition | Obsolete. Superseded by IEdmReference7::GetFirstParentPosition2.
| GetNextChild | Enumerates the files referenced by this file.
| GetNextParent | Enumerates the files referencing this file.
| SetCustomData | Stores an arbitrary piece of data in this object.

Top

# See Also

####

IEdmReference5 Interface
EPDM.Interop.epdm Namespace
IEdmReference7 Interface
IEdmReference8 Interface
IEdmReference9 Interface